"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RepositoryList = void 0;
const chalk = require("chalk");
const template_1 = require("../../repositorys/template");
class RepositoryList {
    constructor(options) {
        this.actionHandler(options);
    }
    actionHandler(_options) {
        template_1.RepositoryTemplates.forEach((v, idx) => {
            console.log("✅", `[${idx}]`, `仓库:`, chalk.bgBlue(chalk.red(v.name)), `地址:`, chalk.green(v.address), `分支:`, chalk.red(v.branch));
        });
    }
}
exports.RepositoryList = RepositoryList;
