import chalk = require("chalk");
import { RepositoryTemplates } from "../../repositorys/template";

export class RepositoryList {
    constructor(options: Record<string, any>) {
        this.actionHandler(options);
    }

    actionHandler(_options: Record<string, any>) {
        RepositoryTemplates.forEach((v, idx) => {
            console.log(
                "✅",
                `[${idx}]`,
                `仓库:`,
                chalk.bgBlue(chalk.red(v.name)),
                `地址:`,
                chalk.green(v.address),
                `分支:`,
                chalk.red(v.branch)
            );
        });
    }
}
