export type Repository = {
    /**
     * 仓库名
     */
    name: string;
    /**
     * 仓库地址
     */
    address: string;
    /**
     * 分支
     */
    branch: string;
};

/**
 * 仓库列表
 */
export const RepositoryTemplates: Array<Repository> = [
    {
        name: "nest-template",
        address: "https://gitee.com/JoinXin/nest-template.git",
        branch: "master",
    },
    {
        name: "gin-template",
        address: "https://gitee.com/JoinXin/gin-template.git",
        branch: "main",
    },
    {
        name: "data-extractor-kafka-nest-template",
        address: "https://gitee.com/JoinXin/data-extractor-kafka-nest-template.git",
        branch: "master",
    },
    {
        name: "react_template",
        address: "https://gitee.com/JoinXin/react_ts_hooks_mobx_template.git",
        branch: "main",
    },
    {
        name: "react_template_manage",
        address: "https://gitee.com/JoinXin/react-template-manage.git",
        branch: "main",
    },
];
